Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.idea.model
[Groovy] Class ModuleLibrary

    java.lang.Object
      org.gradle.plugins.idea.model.ModuleLibrary

    class ModuleLibrary

Represents an orderEntry of type module-library in the iml xml.

Authors:
  Hans Dockter

Property Summary
`java.util.Set` | `classes` A set of Path instances for class libraries.
`boolean` | `exported`
`java.util.Set` | `jarDirectories` A set of JarDirectory instances for directories containing jars.
`java.util.Set` | `javadoc` A set of Path instances for javadoc associated with the library elements.
`java.lang.String` | `scope` The scope of this dependency.
`java.util.Set` | `sources` A set of Path instances for source code associated with the library elements.

Constructor Summary
`ModuleLibrary(java.lang.Object classes, java.lang.Object javadoc, java.lang.Object sources, java.lang.Object jarDirectories, java.lang.Object scope)`

Method Summary
`void` | `addToNode(groovy.util.Node parentNode)`
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### classes

    java.util.Set classes

  A set of Path instances for class libraries.

### exported

    boolean exported

### jarDirectories

    java.util.Set jarDirectories

  A set of JarDirectory instances for directories containing jars.

### javadoc

    java.util.Set javadoc

  A set of Path instances for javadoc associated with the library elements.

### scope

    java.lang.String scope

  The scope of this dependency. If null the scope attribute is not added.

### sources

    java.util.Set sources

  A set of Path instances for source code associated with the library elements.

Constructor Detail

### ModuleLibrary

    ModuleLibrary(java.lang.Object classes, java.lang.Object javadoc, java.lang.Object sources, java.lang.Object jarDirectories, java.lang.Object scope)

Method Detail

### addToNode

    void addToNode(groovy.util.Node parentNode)

### equals

    boolean equals(java.lang.Object o)

### hashCode

    int hashCode()

### toString

    java.lang.String toString()

Groovy Documentation